Skip to main content

Search Brands

GET 

/v1/brands/search

Search accessible brands by the required nonblank query string. The optional limit bounds suggestions; the response contains matching brand identities rather than a catalog page.

Request and response fields at a glance
  • Query parameters: query (string, required), limit (string).
  • 200 response (application/json): array of id (number), name (string, required), nameAR (string), logoUrl (string), storefrontUrl (string), contactEmail (string), contactPhone (string), organizationId (number), isActive (boolean), isVerified (boolean), isSellingToRetail (boolean), totalRevenue (number), totalUnitsSold (number), orderCount (number), createdAt (string, required), updatedAt (string, required), saleChannelAccounts (array), organization (object).

Request​